Spree Seller SDK
Get a product type
GET
Spree Seller SDK
Authorizations
JWT token for an authenticated seller session (seller_api audience)
Headers
Path Parameters
Product type ID
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createSellerClient } from '@spree/seller-sdk'
const client = createSellerClient({
baseUrl: 'https://your-store.com',
jwtToken: 'eyJhbGciOi...',
sellerId: 'sel_UkLWZg9DAJ',
})
const productType = await client.productTypes.get('pt_UkLWZg9DAJ')curl --request GET \
--url http://{defaultHost}/api/v3/seller/product_types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"id": "pt_UkLWZg9DAJ",
"name": "Apparel",
"option_type_labels": []
}import { createSellerClient } from '@spree/seller-sdk'
const client = createSellerClient({
baseUrl: 'https://your-store.com',
jwtToken: 'eyJhbGciOi...',
sellerId: 'sel_UkLWZg9DAJ',
})
const productType = await client.productTypes.get('pt_UkLWZg9DAJ')curl --request GET \
--url http://{defaultHost}/api/v3/seller/product_types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"id": "pt_UkLWZg9DAJ",
"name": "Apparel",
"option_type_labels": []
}JWT token for an authenticated seller session (seller_api audience)
Product type ID
Was this page helpful?
